Bug 246158 - intel driver breaks fast user switching
Summary: intel driver breaks fast user switching
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810   
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-28 21:09 UTC by Mads Villadsen
Modified: 2018-04-11 10:42 UTC (History)
1 user (show)

Fixed In Version: f8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-26 22:21:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mads Villadsen 2007-06-28 21:09:30 UTC
Description of problem:
When using the intel driver and fast user swithcing together all X sessions die
when one user logs out.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-2.0.0-4.fc7
fast-user-switch-applet-2.17.4-4.fc7
xorg-x11-server-Xorg-1.3.0.0-9.fc7


How reproducible:
Always

Steps to Reproduce:
1. login user A
2. lock screen and select switch user
3. At gdm screen notice that is says that user A is already logged in
4. login user B
5. logout user B
6. Returning to gdm notice that user A is no longer logged in
  
Actual results:
user A's session disappears

Expected results:
Return to user A's session

Additional info:
It has worked before with the i810 driver.

Comment 1 Matěj Cepl 2007-11-26 17:51:20 UTC
Reporter, sorry for letting this bug rottening for so long, but could you please
confirm to us, that this is reproduceable on the latest upgrade of the supported
distribution (F7, F8, or Rawhide)?

Comment 2 Mads Villadsen 2007-11-26 20:18:10 UTC
Sorry for not reporting this earlier: Fast User Switching works correctly on
Fedore 8 with the intel driver.

Comment 3 Matěj Cepl 2007-11-26 22:21:58 UTC
Thanks for letting us know.


Note You need to log in before you can comment on or make changes to this bug.